SetActivLeaf("ZalMuzeya");


fb={0,0,0,1,1,1,1,0}

CreatePolygon(901,4,"fb")
CreatePolygon(902,4,"fb")
CreatePolygon(903,4,"fb")
CreatePolygon(904,4,"fb")
CreatePolygon(905,4,"fb")

AddEmiter(901,"wall_bug1",nil,nil,nil,true);
StartEmiter("wall_bug1");
MoveEmiter("wall_bug1",224,23)

AddEmiter(902,"wall_bug2",nil,nil,nil,true);
StartEmiter("wall_bug2");
MoveEmiter("wall_bug2",821,33)

AddEmiter(903,"wall_bug3",nil,nil,nil,true);
StartEmiter("wall_bug3");
MoveEmiter("wall_bug3",310,441)

AddEmiter(904,"wall_bug4",nil,nil,nil,true);
StartEmiter("wall_bug4");
MoveEmiter("wall_bug4",446,367)

AddEmiter(905,"wall_bug5",nil,nil,nil,true);
StartEmiter("wall_bug5");
MoveEmiter("wall_bug5",602,315)


add_animation(121,true)
add_animation_frame(121,"zal_anim",-1000,84 ,961,126,36,38,6);
add_animation_frame(121,"zal_anim",583,503,402,276,35,15,0.13);
add_animation_frame(121,"zal_anim",521,526,437,276,43,16,0.13);
add_animation_frame(121,"zal_anim",431,546,437,292,53,17,0.13);
add_animation_frame(121,"zal_anim",348,560,437,309,50,21,0.13);
add_animation_frame(121,"zal_anim",269,599,437,330,51,40,0.13);
add_animation_frame(121,"zal_anim",183,643,437,370,55,26,0.13);
add_animation_frame(121,"zal_anim",87,647 ,437,396,55,24,0.13);
add_animation_frame(121,"zal_anim",4,647  ,437,420,54,23,0.13);
add_animation_frame(121,"zal_anim",-1000,84 ,961,126,36,38,8);
StartAnimation(121)      
                         
add_animation(122,true)  
add_animation_frame(122,"zal_anim",-1000,84 ,961,126,36,38  ,1);
add_animation_frame(122,"zal_anim"  ,3,629,437,443,51,30,0.1);
add_animation_frame(122,"zal_anim",105,604,437,473,54,23,0.11);
add_animation_frame(122,"zal_anim",204,585,237,0,55,21,0.12);
add_animation_frame(122,"zal_anim",317,580,292,0,56,19,0.12);
add_animation_frame(122,"zal_anim",433,588,348,0,55,21,0.12);
add_animation_frame(122,"zal_anim",553,614,403,0,55,26,0.12);
add_animation_frame(122,"zal_anim",651,621,403,26,55,24,0.12);
add_animation_frame(122,"zal_anim",768,616,458,26,54,23,0.12);
add_animation_frame(122,"zal_anim",878,584,403,50,55,23,0.11);
add_animation_frame(122,"zal_anim",964,570,403,73,56,19,0.11);
add_animation_frame(122,"zal_anim",-1000,84 ,961,126,36,38,13);
StartAnimation(122)

addstaticobjecttogame(124,"zal_anim",905,126,"",0,0,118,276);
addstaticobjecttogame(125,"zal_anim",905,126,"",118,0,119,276);


addstaticobjecttogame(126,"zal_anim",236,185,"",0,276,201,233);
addstaticobjecttogame(127,"zal_anim",236,185,"",201,276,201,233);

mini_ZalMuzeyaKandelabr_7_0_table={484,236,560,236,560,366,484,366};
CreatePolygon(NewId("mini_ZalMuzeyaKandelabr_7_0"),4,"mini_ZalMuzeyaKandelabr_7_0_table");
--ShowPolygon(obj.mini_ZalMuzeyaKandelabr_7_0.id,true);
AddEmiter(obj.mini_ZalMuzeyaKandelabr_7_0.id,"Standart_7_1");
StartEmiter("Standart_7_1");

NewObj("svet_7_0","BigTexture112",478,215,"",0,0,422,55,90,161);
NewObj("sve_7_0","BigTexture112",520,238,"",0,0,404,26,10,35); --свеча

door_HollMuzeya_7_0_table={128,660,896,660,896,736,128,736};
CreatePolygon(NewId("door_HollMuzeya_7_0"),4,"door_HollMuzeya_7_0_table");
--ShowPolygon(obj.door_HollMuzeya_7_0.id,true);

door_ZalMuzeyaHidden_7_0_table={130,370,300,370,300,572,130,572};
CreatePolygon(NewId("door_ZalMuzeyaHidden_7_0"),4,"door_ZalMuzeyaHidden_7_0_table");
--ShowPolygon(obj.door_ZalMuzeyaHidden_7_0.id,true);
AddEmiter(obj.door_ZalMuzeyaHidden_7_0.id,"Hidden_7_1",true,nil,nil,true);
StartEmiter("Hidden_7_1");

addstaticobjecttogame(811,"BigTexture112",582,430,"",170,0,147,54)
addstaticobjecttogame(812,"BigTexture112",574,433,"",170,107,156,72)
speciale_action(10,811)
speciale_action(10,812)

mini_piano_7_0_table={570,410,740,410,740,520,570,520};
CreatePolygon(NewId("mini_Piano_7_0"),4,"mini_piano_7_0_table");
--ShowPolygon(obj.mini_Piano_7_0.id,true);
AddEmiter(obj.mini_Piano_7_0.id,"Standart_7_4");
StartEmiter("Standart_7_4");

mini_Rune_7_0_table={920,260,1024,260,1024,460,920,460};
CreatePolygon(NewId("mini_Rune_7_0"),4,"mini_Rune_7_0_table");
--ShowPolygon(obj.mini_Rune_7_0.id,true);
AddEmiter(obj.mini_Rune_7_0.id,"Standart_7_2");
StartEmiter("Standart_7_2");

NewObj("bg_7_0","bg_7_0",0,0,"");
ActivateObject(obj.bg_7_0.id,false);